- entityDefinitions:
  - IDM_Method__get__Static_Qualifier_or_Empty_String: '{76f7606c-cf93-4b1c-aa99-97eae1642697}'
  - IDMB_Method__get__Static_Qualifier_or_Empty_String: '{94749d98-25ed-45c0-9f99-1671954b0db0}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - conditionalSelectAttributeMethod: '&IDM_Method__get__Static_Qualifier_or_Empty_String;'
    forClassId: '&IDC_Method;'
    verb: 'get'
    name: 'Static Qualifier or Empty String'
    accessModifierId: '&IDI_AccessModifier_Public;'
    returnsAttributeId: '&IDA_Static;'
    cases:
    - globalIdentifier: '{07947dc8-4f1e-47ec-9fdd-d9ed2d83086f}'
      trueConditions:
      - instance: '&IDMB_Method__is__Static;'
      useAnyCondition: no
      returnsAttributeId: '&IDMB_Method__get__Static_Qualifier;'
    - globalIdentifier: '{06b4225e-7b03-4337-88ad-16c5333b50e4}'
      useAnyCondition: no
      returnsAttributeId: '&IDMB_Common_Text__get__Empty_String;'
      
  - returnAttributeMethodBinding: '&IDMB_Method__get__Static_Qualifier_or_Empty_String;'
    executesMethod: '&IDM_Method__get__Static_Qualifier_or_Empty_String;'